HepMC3 event record library: HEPEVT_Wrapper Class Reference

HepMC3 event record library

Static Public Member Functions
HEPEVT_Wrapper Class Reference

## Detailed Description

An interface to HEPEVT common block implemented in a traditional way. When possible this implementation should be avoided and the templated version should be used instead.

Note
  This header file does not include HEPEVT definition, only declaration. Including this wrapper requires that HEPEVT is defined somewhere in the project (most likely as FORTRAN common block).
  Make sure that HEPEVT definition in project matches this definition (NMXHEP, double precision, etc.) Change this definition if necessary.

Definition at line 85 of file HEPEVT_Wrapper.h.

`#include <HEPEVT_Wrapper.h>`

## Static Public Member Functions
static void | print_hepevt (std::ostream &ostr=std::cout)
| Print information from HEPEVT common block.
static void | print_hepevt_particle (int index, std::ostream &ostr=std::cout)
| Print particle information.
static void | zero_everything ()
| Set all entries in HEPEVT to zero.
static bool | GenEvent_to_HEPEVT (const GenEvent *evt)
| Convert GenEvent to HEPEVT.
static bool | HEPEVT_to_GenEvent (GenEvent *evt)
| Convert HEPEVT to GenEvent.
static bool | fix_daughters ()
| Tries to fix list of daughters.
static void | set_max_number_entries (unsigned int size)
| Set block size.
static void | set_hepevt_address (char *c)
| Set Fortran block address.
static int | max_number_entries ()
| Block size.
static int | event_number ()
| Get event number.
static int | number_entries ()
| Get number of entries.
static int | status (const int &index)
| Get status code.
static int | id (const int &index)
| Get PDG particle id.
static int | first_parent (const int &index)
| Get index of 1st mother.
static int | last_parent (const int &index)
| Get index of last mother.
static int | first_child (const int &index)
| Get index of 1st daughter.
static int | last_child (const int &index)
| Get index of last daughter.
static double | px (const int &index)
| Get X momentum.
static double | py (const int &index)
| Get Y momentum.
static double | pz (const int &index)
| Get Z momentum.
static double | e (const int &index)
| Get Energy.
static double | m (const int &index)
| Get generated mass.
static double | x (const int &index)
| Get X Production vertex.
static double | y (const int &index)
| Get Y Production vertex.
static double | z (const int &index)
| Get Z Production vertex.
static double | t (const int &index)
| Get production time.
static int | number_parents (const int &index)
| Get number of parents.
static int | number_children (const int &index)
| Get number of children from the range of daughters.
static int | number_children_exact (const int &index)
| Get number of children by counting.
static void | set_event_number (const int &evtno)
| Set event number.
static void | set_number_entries (const int &noentries)
| Set number of entries.
static void | set_status (const int &index, const int &status)
| Set status code.
static void | set_id (const int &index, const int &id)
| Set PDG particle id.
static void | set_parents (const int &index, const int &firstparent, const int &lastparent)
| Set parents.
static void | set_children (const int &index, const int &firstchild, const int &lastchild)
| Set children.
static void | set_momentum (const int &index, const double &px, const double &py, const double &pz, const double &e)
| Set 4-momentum.
static void | set_mass (const int &index, double mass)
| Set mass.
static void | set_position (const int &index, const double &x, const double &y, const double &z, const double &t)
| Set position in time-space.

## Member Function Documentation

## ◆ e()

double e | ( | const int & | index | ) |
| inlinestatic

Get Energy.

Definition at line 125 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ event_number()

int event_number | ( |  | ) |
| inlinestatic

Get event number.

Definition at line 114 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ first_child()

int first_child | ( | const int & | index | ) |
| inlinestatic

Get index of 1st daughter.

Definition at line 120 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ first_parent()

int first_parent | ( | const int & | index | ) |
| inlinestatic

Get index of 1st mother.

Definition at line 118 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ fix_daughters()

bool fix_daughters | ( |  | ) |
| inlinestatic

Tries to fix list of daughters.

Definition at line 228 of file HEPEVT_Wrapper.h.

References first_child(), first_parent(), last_child(), last_parent(), number_children(), number_children_exact(), number_entries(), and set_children().

## ◆ GenEvent_to_HEPEVT()

bool GenEvent_to_HEPEVT | ( | const GenEvent * | evt | ) |
| inlinestatic

Convert GenEvent to HEPEVT.

Definition at line 101 of file HEPEVT_Wrapper.h.

References HepMC3::GenEvent_to_HEPEVT_static().

## ◆ HEPEVT_to_GenEvent()

bool HEPEVT_to_GenEvent | ( | GenEvent * | evt | ) |
| inlinestatic

Convert HEPEVT to GenEvent.

Definition at line 103 of file HEPEVT_Wrapper.h.

References HepMC3::HEPEVT_to_GenEvent_static().

## ◆ id()

int id | ( | const int & | index | ) |
| inlinestatic

Get PDG particle id.

Definition at line 117 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ last_child()

int last_child | ( | const int & | index | ) |
| inlinestatic

Get index of last daughter.

Definition at line 121 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ last_parent()

int last_parent | ( | const int & | index | ) |
| inlinestatic

Get index of last mother.

Definition at line 119 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ m()

double m | ( | const int & | index | ) |
| inlinestatic

Get generated mass.

Definition at line 126 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ max_number_entries()

int max_number_entries | ( |  | ) |
| inlinestatic

Block size.

Definition at line 113 of file HEPEVT_Wrapper.h.

References NMXHEP.

## ◆ number_children()

int number_children | ( | const int & | index | ) |
| inlinestatic

Get number of children from the range of daughters.

Definition at line 182 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ number_children_exact()

int number_children_exact | ( | const int & | index | ) |
| inlinestatic

Get number of children by counting.

Definition at line 187 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ number_entries()

int number_entries | ( |  | ) |
| inlinestatic

Get number of entries.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 115 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ number_parents()

int number_parents | ( | const int & | index | ) |
| inlinestatic

Get number of parents.

Definition at line 177 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ print_hepevt()

void print_hepevt | ( | std::ostream & | ostr = std::cout | ) |
| inlinestatic

Print information from HEPEVT common block.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 148 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr, and print_hepevt_particle().

## ◆ print_hepevt_particle()

void print_hepevt_particle | ( | int | index,
|  | std::ostream & | ostr = std::cout )
| inlinestatic

Print particle information.

Definition at line 158 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ px()

double px | ( | const int & | index | ) |
| inlinestatic

Get X momentum.

Definition at line 122 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ py()

double py | ( | const int & | index | ) |
| inlinestatic

Get Y momentum.

Definition at line 123 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ pz()

double pz | ( | const int & | index | ) |
| inlinestatic

Get Z momentum.

Definition at line 124 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_children()

void set_children | ( | const int & | index,
|  | const int & | firstchild,
|  | const int & | lastchild )
| inlinestatic

Set children.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 201 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_event_number()

void set_event_number | ( | const int & | evtno | ) |
| inlinestatic

Set event number.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 134 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_hepevt_address()

void set_hepevt_address | ( | char * | c | ) |
| inlinestatic

Set Fortran block address.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 112 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_id()

void set_id | ( | const int & | index,
|  | const int & | id )
| inlinestatic

Set PDG particle id.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 137 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr, and id().

## ◆ set_mass()

void set_mass | ( | const int & | index,
|  | double | mass )
| inlinestatic

Set mass.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 215 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_max_number_entries()

void set_max_number_entries | ( | unsigned int | size | ) |
| inlinestatic

Set block size.

Definition at line 111 of file HEPEVT_Wrapper.h.

References NMXHEP.

## ◆ set_momentum()

void set_momentum | ( | const int & | index,
|  | const double & | px,
|  | const double & | py,
|  | const double & | pz,
|  | const double & | e )
| inlinestatic

Set 4-momentum.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 207 of file HEPEVT_Wrapper.h.

References e(), HepMC3::hepevtptr, px(), py(), and pz().

## ◆ set_number_entries()

void set_number_entries | ( | const int & | noentries | ) |
| inlinestatic

Set number of entries.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 135 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_parents()

void set_parents | ( | const int & | index,
|  | const int & | firstparent,
|  | const int & | lastparent )
| inlinestatic

Set parents.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 195 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ set_position()

void set_position | ( | const int & | index,
|  | const double & | x,
|  | const double & | y,
|  | const double & | z,
|  | const double & | t )
| inlinestatic

Set position in time-space.

Definition at line 220 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr, t(), x(), y(), and z().

## ◆ set_status()

void set_status | ( | const int & | index,
|  | const int & | status )
| inlinestatic

Set status code.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 136 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr, and status().

## ◆ status()

int status | ( | const int & | index | ) |
| inlinestatic

Get status code.

Definition at line 116 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ t()

double t | ( | const int & | index | ) |
| inlinestatic

Get production time.

Definition at line 130 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ x()

double x | ( | const int & | index | ) |
| inlinestatic

Get X Production vertex.

Definition at line 127 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ y()

double y | ( | const int & | index | ) |
| inlinestatic

Get Y Production vertex.

Definition at line 128 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ z()

double z | ( | const int & | index | ) |
| inlinestatic

Get Z Production vertex.

Definition at line 129 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

## ◆ zero_everything()

void zero_everything | ( |  | ) |
| inlinestatic

Set all entries in HEPEVT to zero.

Examples
  hepevt_wrapper_example_main.cc.

Definition at line 172 of file HEPEVT_Wrapper.h.

References HepMC3::hepevtptr.

The documentation for this class was generated from the following file:

- HEPEVT_Wrapper.h